#pragma once
#include "EntityState.h"
extern const int CS_SantaSTATENAME_GHOSTFIRE;
//ΌΌΔά£ΊΣΔΑι»πΗς
class CS_SantaGhostFire :
    public EntitySkillState
{
public:
    CS_SantaGhostFire();
    const wchar_t* GetSaveName() override;
    const wchar_t* GetFuncName() override;
    const wchar_t* GetCheckFuncName() override;
    void SubStep() override;
    void ChangeStateMsg(int stateID) override;
    int level = 0;
};

